﻿// <auto-generated />
using HistorialClinico.Infrastructure;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage;
using Microsoft.EntityFrameworkCore.Storage.Internal;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using System;

namespace HistorialClinico.Infrastructure.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    [Migration("20191116150227_initial")]
    partial class initial
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.SerialColumn)
                .HasAnnotation("ProductVersion", "2.0.1-rtm-125");

            modelBuilder.Entity("HistorialClinico.Domain.Anticonvulsionante", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("Anticonvulsionante");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApCardiovascular", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<DateTime>("DateAdd")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("DateDelete")
                        .HasColumnType("datetime");

                    b.Property<bool>("Deleted");

                    b.Property<string>("EstadoId")
                        .IsRequired()
                        .HasMaxLength(1);

                    b.Property<string>("EvaluacionCardiologica")
                        .HasMaxLength(800);

                    b.Property<string>("Eventos")
                        .HasMaxLength(800);

                    b.Property<int>("PacienteId");

                    b.Property<string>("Planes")
                        .HasMaxLength(800);

                    b.Property<string>("UserAdd")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<string>("UserDelete")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.HasIndex("PacienteId");

                    b.ToTable("ApCardiovascular");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApCardiovascularEnzimasCardiacas", b =>
                {
                    b.Property<int>("ApCardiovascularId");

                    b.Property<int>("EnzimasCardiacasId");

                    b.Property<string>("Curva")
                        .IsRequired()
                        .HasMaxLength(1);

                    b.Property<decimal?>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("ApCardiovascularId", "EnzimasCardiacasId")
                        .HasName("PK__ApCardio__CAA8F0753B57158A");

                    b.HasIndex("EnzimasCardiacasId");

                    b.ToTable("ApCardiovascularEnzimasCardiacas");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApCardiovascularInotropicos", b =>
                {
                    b.Property<int>("ApCardiovascularId");

                    b.Property<int>("InotropicosId");

                    b.Property<decimal>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("ApCardiovascularId", "InotropicosId")
                        .HasName("PK__ApCardio__B2DCFF4091DCE8AE");

                    b.HasIndex("InotropicosId");

                    b.ToTable("ApCardiovascularInotropicos");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApplicationUser", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("AccessFailedCount");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken();

                    b.Property<string>("Email")
                        .HasMaxLength(256);

                    b.Property<bool>("EmailConfirmed");

                    b.Property<bool>("LockoutEnabled");

                    b.Property<DateTimeOffset?>("LockoutEnd");

                    b.Property<string>("NormalizedEmail")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedUserName")
                        .HasMaxLength(256);

                    b.Property<string>("PasswordHash");

                    b.Property<string>("PhoneNumber");

                    b.Property<bool>("PhoneNumberConfirmed");

                    b.Property<string>("SecurityStamp");

                    b.Property<bool>("TwoFactorEnabled");

                    b.Property<string>("UserName")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedEmail")
                        .HasName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasName("UserNameIndex");

                    b.ToTable("AspNetUsers");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApRespiratorio", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<DateTime>("DateAdd")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("DateDelete")
                        .HasColumnType("datetime");

                    b.Property<bool>("Deleted");

                    b.Property<string>("Eventos")
                        .HasMaxLength(800);

                    b.Property<int?>("GasometriaId");

                    b.Property<string>("Manejo")
                        .HasMaxLength(800);

                    b.Property<int?>("ModalidadId");

                    b.Property<int>("PacienteId");

                    b.Property<string>("Planes")
                        .HasMaxLength(800);

                    b.Property<int?>("SoporteRespiratorioId");

                    b.Property<string>("UserAdd")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<string>("UserDelete")
                        .HasMaxLength(50);

                    b.Property<string>("ValorSoporteResp")
                        .HasMaxLength(80);

                    b.Property<int?>("VentilacionId");

                    b.HasKey("Id");

                    b.HasIndex("GasometriaId");

                    b.HasIndex("ModalidadId");

                    b.HasIndex("PacienteId");

                    b.HasIndex("SoporteRespiratorioId");

                    b.HasIndex("VentilacionId");

                    b.ToTable("ApRespiratorio");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApRespiratorioParametros", b =>
                {
                    b.Property<int>("ApRespiratorioId");

                    b.Property<int>("ParametroId");

                    b.Property<decimal>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("ApRespiratorioId", "ParametroId")
                        .HasName("PK__ApRespir__7BBA3629EC2A25E2");

                    b.HasIndex("ParametroId");

                    b.ToTable("ApRespiratorioParametros");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApRespiratorioParametrosGasometria", b =>
                {
                    b.Property<int>("ApRespiratorioId");

                    b.Property<int>("ParametroId");

                    b.Property<decimal>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("ApRespiratorioId", "ParametroId")
                        .HasName("PK__ApRespir__7BBA3629441C71F0");

                    b.HasIndex("ParametroId");

                    b.ToTable("ApRespiratorioParametrosGasometria");
                });

            modelBuilder.Entity("HistorialClinico.Domain.AspectoGeneralSNC", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("AspectoGeneralSNC");
                });

            modelBuilder.Entity("HistorialClinico.Domain.BalanceHidricoHMN", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("BalanceHidricoHMN");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Cama", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("Cama");
                });

            modelBuilder.Entity("HistorialClinico.Domain.CamaPaciente", b =>
                {
                    b.Property<int>("CamaId");

                    b.Property<int>("PacienteId");

                    b.Property<DateTime>("FechaIngreso")
                        .HasColumnType("datetime");

                    b.HasKey("CamaId", "PacienteId")
                        .HasName("PK__CamaPaci__9F6B910C90775F76");

                    b.HasIndex("CamaId")
                        .IsUnique()
                        .HasName("UQ__CamaPaci__765EAD0C3E3A5D66");

                    b.HasIndex("PacienteId")
                        .IsUnique()
                        .HasName("UQ__CamaPaci__9353C01E74CE701A");

                    b.ToTable("CamaPaciente");
                });

            modelBuilder.Entity("HistorialClinico.Domain.CategoriaLaboratorio", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("CategoriaLaboratorio");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Cirugia", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("CualProcedimiento")
                        .HasMaxLength(800);

                    b.Property<DateTime>("DateAdd")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("DateDelete")
                        .HasColumnType("datetime");

                    b.Property<bool>("Deleted");

                    b.Property<string>("Hallazgos")
                        .HasMaxLength(800);

                    b.Property<string>("OtrasAcotaciones")
                        .HasMaxLength(800);

                    b.Property<int>("PacienteId");

                    b.Property<bool>("Procedimiento");

                    b.Property<string>("Tecnica")
                        .HasMaxLength(800);

                    b.Property<bool>("TuvoCirugia");

                    b.Property<string>("UserAdd")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<string>("UserDelete")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.HasIndex("PacienteId");

                    b.ToTable("Cirugia");
                });

            modelBuilder.Entity("HistorialClinico.Domain.CoberturaAntibioticos", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<bool>("AjustadoClearence");

                    b.Property<string>("Antibiotico")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.Property<decimal>("Dosis")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<DateTime>("FechaInicio")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("FechaSuspension")
                        .HasColumnType("datetime");

                    b.Property<int>("InfectologicoId");

                    b.Property<string>("Unidad")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.HasIndex("InfectologicoId");

                    b.ToTable("CoberturaAntibioticos");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ContactoPaciente", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<DateTime>("FechaAdd")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("FechaDelete")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("FechaUpdate")
                        .HasColumnType("datetime");

                    b.Property<string>("NombreContacto")
                        .IsRequired()
                        .HasMaxLength(200);

                    b.Property<string>("NroContacto")
                        .HasMaxLength(50);

                    b.Property<int>("PacienteId");

                    b.Property<string>("TipoContactoId")
                        .HasMaxLength(1)
                        .IsUnicode(false);

                    b.Property<string>("UserNameAdd")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<string>("UserNameDelete")
                        .HasMaxLength(50);

                    b.Property<string>("UserNameUpdate")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.HasIndex("PacienteId");

                    b.ToTable("ContactoPaciente");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Cultivo", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("Cultivo");
                });

            modelBuilder.Entity("HistorialClinico.Domain.CultivoInfectologico", b =>
                {
                    b.Property<int>("InfectologicoId");

                    b.Property<int>("CultivoId");

                    b.Property<DateTime>("Fecha")
                        .HasColumnType("datetime");

                    b.Property<bool>("Resultado");

                    b.HasKey("InfectologicoId", "CultivoId")
                        .HasName("PK__CultivoI__897F900D9D51FCFA");

                    b.HasIndex("CultivoId");

                    b.ToTable("CultivoInfectologico");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Diagnostico", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<DateTime>("FechaAdd")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("FechaDelete")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("FechaUpdate")
                        .HasColumnType("datetime");

                    b.Property<int>("PacienteId");

                    b.Property<string>("Resumen")
                        .IsRequired()
                        .HasMaxLength(800);

                    b.Property<string>("UserNameAdd")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<string>("UserNameDelete")
                        .HasMaxLength(50);

                    b.Property<string>("UserNameUpdate")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.HasIndex("PacienteId");

                    b.ToTable("Diagnostico");
                });

            modelBuilder.Entity("HistorialClinico.Domain.EnzimasCardiacas", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.HasKey("Id");

                    b.ToTable("EnzimasCardiacas");
                });

            modelBuilder.Entity("HistorialClinico.Domain.EstadoInfectologico", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("EstadoInfectologico");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Gasometria", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("Gasometria");
                });

            modelBuilder.Entity("HistorialClinico.Domain.GeneralHMN", b =>
                {
                    b.Property<int>("Id");

                    b.Property<bool>("Formulacion");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.Property<bool>("Valor");

                    b.HasKey("Id");

                    b.ToTable("GeneralHMN");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Hematologico", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<decimal?>("CrasisFibrinoginos")
                        .HasColumnName("Crasis_Fibrinoginos")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<decimal?>("CrasisTp")
                        .HasColumnName("Crasis_TP")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<decimal?>("CrasisTtpa")
                        .HasColumnName("Crasis_TTPA")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<DateTime>("DateAdd")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("DateDelete")
                        .HasColumnType("datetime");

                    b.Property<bool>("Deleted");

                    b.Property<decimal?>("DosisVitaminaK")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<string>("Eventos")
                        .HasMaxLength(800);

                    b.Property<DateTime?>("FechaVitaminaK")
                        .HasColumnType("datetime");

                    b.Property<decimal?>("HemogramaHb")
                        .HasColumnName("Hemograma_HB")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<decimal?>("HemogramaHtc")
                        .HasColumnName("Hemograma_HTC")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<decimal?>("HemogramaPai")
                        .HasColumnName("Hemograma_PAI")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<decimal?>("HemogramaPlt")
                        .HasColumnName("Hemograma_PLT")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<string>("LugarSangrado")
                        .HasMaxLength(200);

                    b.Property<int>("PacienteId");

                    b.Property<string>("Planes")
                        .HasMaxLength(800);

                    b.Property<bool>("SangradoActivo");

                    b.Property<bool>("Transfusiones");

                    b.Property<decimal?>("TransfusionesCrio")
                        .HasColumnName("Transfusiones_CRIO")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<decimal?>("TransfusionesGrc")
                        .HasColumnName("Transfusiones_GRC")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<decimal?>("TransfusionesPfc")
                        .HasColumnName("Transfusiones_PFC")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<decimal?>("TransfusionesPlt")
                        .HasColumnName("Transfusiones_PLT")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<string>("UserAdd")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<string>("UserDelete")
                        .HasMaxLength(50);

                    b.Property<bool>("VitaminaK");

                    b.HasKey("Id");

                    b.ToTable("Hematologico");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Hisopado", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("Hisopado");
                });

            modelBuilder.Entity("HistorialClinico.Domain.HisopadoInfectologico", b =>
                {
                    b.Property<int>("InfectologicoId");

                    b.Property<int>("HisopadoId");

                    b.Property<DateTime>("Fecha")
                        .HasColumnType("datetime");

                    b.Property<bool>("Resultado");

                    b.HasKey("InfectologicoId", "HisopadoId")
                        .HasName("PK__Hisopado__D71BDF4652E1487A");

                    b.HasIndex("HisopadoId");

                    b.ToTable("HisopadoInfectologico");
                });

            modelBuilder.Entity("HistorialClinico.Domain.HMN", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<DateTime>("DateAdd")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("DateDelete")
                        .HasColumnType("datetime");

                    b.Property<bool>("Deleted");

                    b.Property<bool>("DialisisPeritoneal");

                    b.Property<string>("Eventos")
                        .HasMaxLength(800);

                    b.Property<string>("FormulacionDialisisPeritoneal")
                        .HasMaxLength(800);

                    b.Property<int>("PacienteId");

                    b.Property<string>("Planes")
                        .HasMaxLength(800);

                    b.Property<string>("UserAdd")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<string>("UserDelete")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.HasIndex("PacienteId");

                    b.ToTable("HMN");
                });

            modelBuilder.Entity("HistorialClinico.Domain.HMNbalanceHidricoHMN", b =>
                {
                    b.Property<int>("HMNid")
                        .HasColumnName("HMNId");

                    b.Property<int>("BalanceHidricoHMNid")
                        .HasColumnName("BalanceHidricoHMNId");

                    b.Property<decimal?>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("HMNid", "BalanceHidricoHMNid")
                        .HasName("PK__HMNBalan__A348F97E4C7C1C7B");

                    b.HasIndex("BalanceHidricoHMNid");

                    b.ToTable("HMNBalanceHidricoHMN");
                });

            modelBuilder.Entity("HistorialClinico.Domain.HMNgeneralHMN", b =>
                {
                    b.Property<int>("HMNid")
                        .HasColumnName("HMNId");

                    b.Property<int>("GeneralHMNid")
                        .HasColumnName("GeneralHMNId");

                    b.Property<string>("Formulacion")
                        .HasMaxLength(800);

                    b.Property<decimal?>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("HMNid", "GeneralHMNid")
                        .HasName("PK__HMNGener__024982B4B1B71A57");

                    b.HasIndex("GeneralHMNid");

                    b.ToTable("HMNGeneralHMN");
                });

            modelBuilder.Entity("HistorialClinico.Domain.HMNlaboratorioHMN", b =>
                {
                    b.Property<int>("HMNid")
                        .HasColumnName("HMNId");

                    b.Property<int>("LaboratorioHMNid")
                        .HasColumnName("LaboratorioHMNId");

                    b.Property<decimal?>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("HMNid", "LaboratorioHMNid")
                        .HasName("PK__HMNLabor__98EC19448247FD49");

                    b.HasIndex("LaboratorioHMNid");

                    b.ToTable("HMNLaboratorioHMN");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ImagenSNC", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("ImagenSNC");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Infectologico", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<DateTime>("DateAdd")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("DateDelete")
                        .HasColumnType("datetime");

                    b.Property<bool>("Deleted");

                    b.Property<int>("EstadoInfectologicoId");

                    b.Property<string>("Eventos")
                        .HasMaxLength(800);

                    b.Property<string>("Interconsulta")
                        .HasMaxLength(800);

                    b.Property<int>("PacienteId");

                    b.Property<string>("Planes")
                        .HasMaxLength(800);

                    b.Property<string>("UserAdd")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<string>("UserDelete")
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.HasIndex("EstadoInfectologicoId");

                    b.HasIndex("PacienteId");

                    b.ToTable("Infectologico");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Inotropico", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.HasKey("Id");

                    b.ToTable("Inotropicos");
                });

            modelBuilder.Entity("HistorialClinico.Domain.LaboratorioHMN", b =>
                {
                    b.Property<int>("Id");

                    b.Property<int>("CategoriaId");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.HasIndex("CategoriaId");

                    b.ToTable("LaboratorioHMN");
                });

            modelBuilder.Entity("HistorialClinico.Domain.LaboratorioSNC", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("LaboratorioSNC");
                });

            modelBuilder.Entity("HistorialClinico.Domain.MedicacionSNC", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("MedicacionSNC");
                });

            modelBuilder.Entity("HistorialClinico.Domain.MedicamentoSedacion", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("MedicamentoSedacion");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Modalidad", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("Modalidad");
                });

            modelBuilder.Entity("HistorialClinico.Domain.MovimientoCamaPaciente", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("CamaId");

                    b.Property<DateTime>("Fecha")
                        .HasColumnType("datetime");

                    b.Property<int>("PacienteId");

                    b.Property<string>("TipoMovimientoId")
                        .IsRequired()
                        .HasMaxLength(3)
                        .IsUnicode(false);

                    b.Property<string>("UserName")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.HasIndex("CamaId");

                    b.HasIndex("PacienteId");

                    b.ToTable("MovimientoCamaPaciente");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Paciente", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Apellidos")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<DateTime?>("FechaNacimiento")
                        .HasColumnType("datetime");

                    b.Property<string>("GrupoSanguineo")
                        .HasMaxLength(3);

                    b.Property<string>("Nombres")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<string>("NroDocumento")
                        .HasMaxLength(80);

                    b.Property<decimal?>("Peso")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<int?>("PRMSId");

                    b.Property<string>("Sexo")
                        .IsRequired()
                        .HasMaxLength(1)
                        .IsUnicode(false);

                    b.HasKey("Id");

                    b.HasIndex("PRMSId");

                    b.ToTable("Paciente");
                });

            modelBuilder.Entity("HistorialClinico.Domain.PacienteTablaHistorica", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Apellidos")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<DateTime>("FechaAdd")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("FechaNacimiento")
                        .HasColumnType("datetime");

                    b.Property<string>("GrupoSanguineo")
                        .HasMaxLength(3);

                    b.Property<string>("Nombres")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<string>("NroDocumento")
                        .HasMaxLength(80);

                    b.Property<int>("PacienteId");

                    b.Property<decimal?>("Peso")
                        .HasColumnType("numeric(10, 4)");

                    b.Property<int?>("PRMSId");

                    b.Property<string>("Sexo")
                        .IsRequired()
                        .HasMaxLength(1)
                        .IsUnicode(false);

                    b.Property<string>("UserNameAdd")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.HasKey("Id");

                    b.HasIndex("PacienteId");

                    b.HasIndex("PRMSId");

                    b.ToTable("PacienteTablaHistorica");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ParametrosGasometria", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("ParametrosGasometria");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ParametrosSopRespiratorio", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.Property<int>("Orden");

                    b.HasKey("Id");

                    b.ToTable("ParametrosSopRespiratorio");
                });

            modelBuilder.Entity("HistorialClinico.Domain.PRMS", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .HasMaxLength(200);

                    b.HasKey("Id");

                    b.ToTable("PRMS");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Sedacion", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.Property<bool>("RequeridoValor");

                    b.HasKey("Id");

                    b.ToTable("Sedacion");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SensibilidadCultivoInfectologico", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int?>("CultivoId");

                    b.Property<int?>("InfectologicoId");

                    b.Property<string>("Sensibilidad")
                        .IsRequired()
                        .HasMaxLength(100);

                    b.HasKey("Id");

                    b.HasIndex("CultivoId");

                    b.HasIndex("InfectologicoId");

                    b.ToTable("SensibilidadCultivoInfectologico");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNC", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<bool>("ConocidoConvulsionador");

                    b.Property<DateTime>("DateAdd")
                        .HasColumnType("datetime");

                    b.Property<DateTime?>("DateDelete")
                        .HasColumnType("datetime");

                    b.Property<bool>("Deleted");

                    b.Property<string>("Eventos")
                        .HasMaxLength(800);

                    b.Property<int>("PacienteId");

                    b.Property<string>("Planes")
                        .HasMaxLength(800);

                    b.Property<int?>("SedacionId");

                    b.Property<bool>("SxAbstinencia");

                    b.Property<string>("UserAdd")
                        .IsRequired()
                        .HasMaxLength(50);

                    b.Property<string>("UserDelete")
                        .HasMaxLength(50);

                    b.Property<decimal?>("ValorSedacion")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("Id");

                    b.HasIndex("PacienteId");

                    b.HasIndex("SedacionId");

                    b.ToTable("SNC");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNCanticonvulsionante", b =>
                {
                    b.Property<int>("SNCid")
                        .HasColumnName("SNCId");

                    b.Property<int>("AnticonvulsionanteId");

                    b.Property<decimal>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("SNCid", "AnticonvulsionanteId")
                        .HasName("PK__SNCAntic__14949542CAC7766A");

                    b.HasIndex("AnticonvulsionanteId");

                    b.ToTable("SNCAnticonvulsionante");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNCaspectoGeneralSNC", b =>
                {
                    b.Property<int>("SNCid")
                        .HasColumnName("SNCId");

                    b.Property<int>("AspectoGeneralId");

                    b.HasKey("SNCid", "AspectoGeneralId")
                        .HasName("PK__SNCAspec__E242B3D755EFDC03");

                    b.HasIndex("AspectoGeneralId");

                    b.ToTable("SNCAspectoGeneralSNC");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNCimagenesSNC", b =>
                {
                    b.Property<int>("SNCid")
                        .HasColumnName("SNCId");

                    b.Property<int>("ImagenesSNCid")
                        .HasColumnName("ImagenesSNCId");

                    b.Property<DateTime>("Fecha")
                        .HasColumnType("datetime");

                    b.Property<decimal>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("SNCid", "ImagenesSNCid")
                        .HasName("PK__SNCImage__50829555167DF4A4");

                    b.HasIndex("ImagenesSNCid");

                    b.ToTable("SNCImagenesSNC");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNClaboratorioSNC", b =>
                {
                    b.Property<int>("SNCid")
                        .HasColumnName("SNCId");

                    b.Property<int>("LaboratorioSNCid")
                        .HasColumnName("LaboratorioSNCId");

                    b.Property<DateTime>("Fecha")
                        .HasColumnType("datetime");

                    b.Property<decimal>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("SNCid", "LaboratorioSNCid")
                        .HasName("PK__SNCLabor__07B3320362DFB7BA");

                    b.HasIndex("LaboratorioSNCid");

                    b.ToTable("SNCLaboratorioSNC");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNCmedicacionSNC", b =>
                {
                    b.Property<int>("SNCid")
                        .HasColumnName("SNCId");

                    b.Property<int>("MedicacionSNCid")
                        .HasColumnName("MedicacionSNCId");

                    b.Property<decimal>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("SNCid", "MedicacionSNCid")
                        .HasName("PK__SNCMedic__66B5060C9B272783");

                    b.HasIndex("MedicacionSNCid");

                    b.ToTable("SNCMedicacionSNC");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNCmedicamentoSedacion", b =>
                {
                    b.Property<int>("SNCid")
                        .HasColumnName("SNCId");

                    b.Property<int>("MedicamentoSedacionId");

                    b.Property<decimal>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("SNCid", "MedicamentoSedacionId")
                        .HasName("PK__SNCMedic__C3F68DC6EB48A987");

                    b.HasIndex("MedicamentoSedacionId");

                    b.ToTable("SNCMedicamentoSedacion");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNCsxAbstinenciaSNC", b =>
                {
                    b.Property<int>("SNCid")
                        .HasColumnName("SNCId");

                    b.Property<int>("SxAbstinenciaSNCid")
                        .HasColumnName("SxAbstinenciaSNCId");

                    b.Property<decimal>("Valor")
                        .HasColumnType("numeric(10, 4)");

                    b.HasKey("SNCid", "SxAbstinenciaSNCid")
                        .HasName("PK__SNCSxAbs__97DECFADF0F8DC3C");

                    b.HasIndex("SxAbstinenciaSNCid");

                    b.ToTable("SNCSxAbstinenciaSNC");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SoporteRespiratorio", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.Property<bool>("Parametros");

                    b.HasKey("Id");

                    b.ToTable("SoporteRespiratorio");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SxAbstinenciaSNC", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("SxAbstinenciaSNC");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Ventilacion", b =>
                {
                    b.Property<int>("Id");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(80);

                    b.HasKey("Id");

                    b.ToTable("Ventilacion");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRole", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken();

                    b.Property<string>("Name")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedName")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasName("RoleNameIndex");

                    b.ToTable("AspNetRoles");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ClaimType");

                    b.Property<string>("ClaimValue");

                    b.Property<string>("RoleId")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ClaimType");

                    b.Property<string>("ClaimValue");

                    b.Property<string>("UserId")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.Property<string>("LoginProvider");

                    b.Property<string>("ProviderKey");

                    b.Property<string>("ProviderDisplayName");

                    b.Property<string>("UserId")
                        .IsRequired();

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.Property<string>("UserId");

                    b.Property<string>("RoleId");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.Property<string>("UserId");

                    b.Property<string>("LoginProvider");

                    b.Property<string>("Name");

                    b.Property<string>("Value");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApCardiovascular", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Paciente", "Paciente")
                        .WithMany("ApCardiovascular")
                        .HasForeignKey("PacienteId")
                        .HasConstraintName("FK__ApCardiov__Pacie__59904A2C");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApCardiovascularEnzimasCardiacas", b =>
                {
                    b.HasOne("HistorialClinico.Domain.ApCardiovascular", "ApCardiovascular")
                        .WithMany("ApCardiovascularEnzimasCardiacas")
                        .HasForeignKey("ApCardiovascularId")
                        .HasConstraintName("FK__ApCardiov__ApCar__6501FCD8");

                    b.HasOne("HistorialClinico.Domain.EnzimasCardiacas", "EnzimasCardiacas")
                        .WithMany("ApCardiovascularEnzimasCardiacas")
                        .HasForeignKey("EnzimasCardiacasId")
                        .HasConstraintName("FK__ApCardiov__Enzim__65F62111");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApCardiovascularInotropicos", b =>
                {
                    b.HasOne("HistorialClinico.Domain.ApCardiovascular", "ApCardiovascular")
                        .WithMany("ApCardiovascularInotropicos")
                        .HasForeignKey("ApCardiovascularId")
                        .HasConstraintName("FK__ApCardiov__ApCar__61316BF4");

                    b.HasOne("HistorialClinico.Domain.Inotropico", "Inotropicos")
                        .WithMany("ApCardiovascularInotropicos")
                        .HasForeignKey("InotropicosId")
                        .HasConstraintName("FK__ApCardiov__Inotr__6225902D");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApRespiratorio", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Gasometria", "Gasometria")
                        .WithMany("ApRespiratorio")
                        .HasForeignKey("GasometriaId")
                        .HasConstraintName("FK__ApRespira__Gasom__3DB3258D");

                    b.HasOne("HistorialClinico.Domain.Modalidad", "Modalidad")
                        .WithMany("ApRespiratorio")
                        .HasForeignKey("ModalidadId")
                        .HasConstraintName("FK__ApRespira__Modal__3CBF0154");

                    b.HasOne("HistorialClinico.Domain.Paciente", "Paciente")
                        .WithMany("ApRespiratorio")
                        .HasForeignKey("PacienteId")
                        .HasConstraintName("FK__ApRespira__Pacie__39E294A9");

                    b.HasOne("HistorialClinico.Domain.SoporteRespiratorio", "SoporteRespiratorio")
                        .WithMany("ApRespiratorio")
                        .HasForeignKey("SoporteRespiratorioId")
                        .HasConstraintName("FK__ApRespira__Sopor__3AD6B8E2");

                    b.HasOne("HistorialClinico.Domain.Ventilacion", "Ventilacion")
                        .WithMany("ApRespiratorio")
                        .HasForeignKey("VentilacionId")
                        .HasConstraintName("FK__ApRespira__Venti__3BCADD1B");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApRespiratorioParametros", b =>
                {
                    b.HasOne("HistorialClinico.Domain.ApRespiratorio", "ApRespiratorio")
                        .WithMany("ApRespiratorioParametros")
                        .HasForeignKey("ApRespiratorioId")
                        .HasConstraintName("FK__ApRespira__ApRes__408F9238");

                    b.HasOne("HistorialClinico.Domain.ParametrosSopRespiratorio", "Parametro")
                        .WithMany("ApRespiratorioParametros")
                        .HasForeignKey("ParametroId")
                        .HasConstraintName("FK__ApRespira__Param__4183B671");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ApRespiratorioParametrosGasometria", b =>
                {
                    b.HasOne("HistorialClinico.Domain.ApRespiratorio", "ApRespiratorio")
                        .WithMany("ApRespiratorioParametrosGasometria")
                        .HasForeignKey("ApRespiratorioId")
                        .HasConstraintName("FK__ApRespira__ApRes__4460231C");

                    b.HasOne("HistorialClinico.Domain.ParametrosGasometria", "Parametro")
                        .WithMany("ApRespiratorioParametrosGasometria")
                        .HasForeignKey("ParametroId")
                        .HasConstraintName("FK__ApRespira__Param__45544755");
                });

            modelBuilder.Entity("HistorialClinico.Domain.CamaPaciente", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Cama", "Cama")
                        .WithOne("CamaPaciente")
                        .HasForeignKey("HistorialClinico.Domain.CamaPaciente", "CamaId")
                        .HasConstraintName("FK__CamaPacie__CamaI__76619304");

                    b.HasOne("HistorialClinico.Domain.Paciente", "Paciente")
                        .WithOne("CamaPaciente")
                        .HasForeignKey("HistorialClinico.Domain.CamaPaciente", "PacienteId")
                        .HasConstraintName("FK__CamaPacie__Pacie__7755B73D");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Cirugia", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Paciente", "Paciente")
                        .WithMany("Cirugia")
                        .HasForeignKey("PacienteId")
                        .HasConstraintName("FK__Cirugia__Pacient__57C7FD4B");
                });

            modelBuilder.Entity("HistorialClinico.Domain.CoberturaAntibioticos", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Infectologico", "Infectologico")
                        .WithMany("CoberturaAntibioticos")
                        .HasForeignKey("InfectologicoId")
                        .HasConstraintName("FK__Cobertura__Infec__731B1205");
                });

            modelBuilder.Entity("HistorialClinico.Domain.ContactoPaciente", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Paciente", "Paciente")
                        .WithMany("ContactoPaciente")
                        .HasForeignKey("PacienteId")
                        .HasConstraintName("FK__ContactoP__Pacie__29221CFB");
                });

            modelBuilder.Entity("HistorialClinico.Domain.CultivoInfectologico", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Cultivo", "Cultivo")
                        .WithMany("CultivoInfectologico")
                        .HasForeignKey("CultivoId")
                        .HasConstraintName("FK__CultivoIn__Culti__78D3EB5B");

                    b.HasOne("HistorialClinico.Domain.Infectologico", "Infectologico")
                        .WithMany("CultivoInfectologico")
                        .HasForeignKey("InfectologicoId")
                        .HasConstraintName("FK__CultivoIn__Infec__77DFC722");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Diagnostico", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Paciente", "Paciente")
                        .WithMany("Diagnostico")
                        .HasForeignKey("PacienteId")
                        .HasConstraintName("FK__Diagnosti__Pacie__3C34F16F");
                });

            modelBuilder.Entity("HistorialClinico.Domain.HisopadoInfectologico", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Hisopado", "Hisopado")
                        .WithMany("HisopadoInfectologico")
                        .HasForeignKey("HisopadoId")
                        .HasConstraintName("FK__HisopadoI__Hisop__025D5595");

                    b.HasOne("HistorialClinico.Domain.Infectologico", "Infectologico")
                        .WithMany("HisopadoInfectologico")
                        .HasForeignKey("InfectologicoId")
                        .HasConstraintName("FK__HisopadoI__Infec__0169315C");
                });

            modelBuilder.Entity("HistorialClinico.Domain.HMN", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Paciente", "Paciente")
                        .WithMany("HMN")
                        .HasForeignKey("PacienteId")
                        .HasConstraintName("FK__HMN__PacienteId__3F3159AB");
                });

            modelBuilder.Entity("HistorialClinico.Domain.HMNbalanceHidricoHMN", b =>
                {
                    b.HasOne("HistorialClinico.Domain.BalanceHidricoHMN", "BalanceHidricoHMN")
                        .WithMany("HMNbalanceHidricoHMN")
                        .HasForeignKey("BalanceHidricoHMNid")
                        .HasConstraintName("FK__HMNBalanc__Balan__4AA30C57");

                    b.HasOne("HistorialClinico.Domain.HMN", "HMN")
                        .WithMany("HMNbalanceHidricoHMN")
                        .HasForeignKey("HMNid")
                        .HasConstraintName("FK__HMNBalanc__HMNId__49AEE81E");
                });

            modelBuilder.Entity("HistorialClinico.Domain.HMNgeneralHMN", b =>
                {
                    b.HasOne("HistorialClinico.Domain.GeneralHMN", "GeneralHMN")
                        .WithMany("HMNgeneralHMN")
                        .HasForeignKey("GeneralHMNid")
                        .HasConstraintName("FK__HMNGenera__Gener__44EA3301");

                    b.HasOne("HistorialClinico.Domain.HMN", "HMN")
                        .WithMany("HMNgeneralHMN")
                        .HasForeignKey("HMNid")
                        .HasConstraintName("FK__HMNGenera__HMNId__43F60EC8");
                });

            modelBuilder.Entity("HistorialClinico.Domain.HMNlaboratorioHMN", b =>
                {
                    b.HasOne("HistorialClinico.Domain.HMN", "HMN")
                        .WithMany("HMNlaboratorioHMN")
                        .HasForeignKey("HMNid")
                        .HasConstraintName("FK__HMNLabora__HMNId__52442E1F");

                    b.HasOne("HistorialClinico.Domain.LaboratorioHMN", "LaboratorioHMN")
                        .WithMany("HMNlaboratorioHMN")
                        .HasForeignKey("LaboratorioHMNid")
                        .HasConstraintName("FK__HMNLabora__Labor__53385258");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Infectologico", b =>
                {
                    b.HasOne("HistorialClinico.Domain.EstadoInfectologico", "EstadoInfectologico")
                        .WithMany("Infectologico")
                        .HasForeignKey("EstadoInfectologicoId")
                        .HasConstraintName("FK__Infectolo__Estad__703EA55A");

                    b.HasOne("HistorialClinico.Domain.Paciente", "Paciente")
                        .WithMany("Infectologico")
                        .HasForeignKey("PacienteId")
                        .HasConstraintName("FK__Infectolo__Pacie__6F4A8121");
                });

            modelBuilder.Entity("HistorialClinico.Domain.LaboratorioHMN", b =>
                {
                    b.HasOne("HistorialClinico.Domain.CategoriaLaboratorio", "Categoria")
                        .WithMany("LaboratorioHMN")
                        .HasForeignKey("CategoriaId")
                        .HasConstraintName("FK__Laborator__Categ__4F67C174");
                });

            modelBuilder.Entity("HistorialClinico.Domain.MovimientoCamaPaciente", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Cama", "Cama")
                        .WithMany("MovimientoCamaPaciente")
                        .HasForeignKey("CamaId")
                        .HasConstraintName("FK__Movimient__CamaI__662B2B3B");

                    b.HasOne("HistorialClinico.Domain.Paciente", "Paciente")
                        .WithMany("MovimientoCamaPaciente")
                        .HasForeignKey("PacienteId")
                        .HasConstraintName("FK__Movimient__Pacie__671F4F74");
                });

            modelBuilder.Entity("HistorialClinico.Domain.Paciente", b =>
                {
                    b.HasOne("HistorialClinico.Domain.PRMS", "PRMS")
                        .WithMany("Paciente")
                        .HasForeignKey("PRMSId")
                        .HasConstraintName("FK__Paciente__PRMSId__44CA3770");
                });

            modelBuilder.Entity("HistorialClinico.Domain.PacienteTablaHistorica", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Paciente", "Paciente")
                        .WithMany("PacienteTablaHistorica")
                        .HasForeignKey("PacienteId")
                        .HasConstraintName("FK__PacienteT__Pacie__1AD3FDA4");

                    b.HasOne("HistorialClinico.Domain.PRMS", "PRMS")
                        .WithMany("PacienteTablaHistorica")
                        .HasForeignKey("PRMSId")
                        .HasConstraintName("FK__PacienteT__PRMSI__46B27FE2");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SensibilidadCultivoInfectologico", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Cultivo", "Cultivo")
                        .WithMany("SensibilidadCultivoInfectologico")
                        .HasForeignKey("CultivoId")
                        .HasConstraintName("FK__Sensibili__Culti__147C05D0");

                    b.HasOne("HistorialClinico.Domain.Infectologico", "Infectologico")
                        .WithMany("SensibilidadCultivoInfectologico")
                        .HasForeignKey("InfectologicoId")
                        .HasConstraintName("FK__Sensibili__Infec__1387E197");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNC", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Paciente", "Paciente")
                        .WithMany("SNC")
                        .HasForeignKey("PacienteId")
                        .HasConstraintName("FK__SNC__PacienteId__5DEAEAF5");

                    b.HasOne("HistorialClinico.Domain.Sedacion", "Sedacion")
                        .WithMany("SNC")
                        .HasForeignKey("SedacionId")
                        .HasConstraintName("FK__SNC__SedacionId__5CF6C6BC");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNCanticonvulsionante", b =>
                {
                    b.HasOne("HistorialClinico.Domain.Anticonvulsionante", "Anticonvulsionante")
                        .WithMany("SNCanticonvulsionante")
                        .HasForeignKey("AnticonvulsionanteId")
                        .HasConstraintName("FK__SNCAntico__Antic__61BB7BD9");

                    b.HasOne("HistorialClinico.Domain.SNC", "SNC")
                        .WithMany("SNCanticonvulsionante")
                        .HasForeignKey("SNCid")
                        .HasConstraintName("FK__SNCAntico__SNCId__62AFA012");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNCaspectoGeneralSNC", b =>
                {
                    b.HasOne("HistorialClinico.Domain.AspectoGeneralSNC", "AspectoGeneral")
                        .WithMany("SNCaspectoGeneralSNC")
                        .HasForeignKey("AspectoGeneralId")
                        .HasConstraintName("FK__SNCAspect__Aspec__658C0CBD");

                    b.HasOne("HistorialClinico.Domain.SNC", "SNC")
                        .WithMany("SNCaspectoGeneralSNC")
                        .HasForeignKey("SNCid")
                        .HasConstraintName("FK__SNCAspect__SNCId__668030F6");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNCimagenesSNC", b =>
                {
                    b.HasOne("HistorialClinico.Domain.ImagenSNC", "ImagenesSNC")
                        .WithMany("SNCimagenesSNC")
                        .HasForeignKey("ImagenesSNCid")
                        .HasConstraintName("FK__SNCImagen__Image__695C9DA1");

                    b.HasOne("HistorialClinico.Domain.SNC", "SNC")
                        .WithMany("SNCimagenesSNC")
                        .HasForeignKey("SNCid")
                        .HasConstraintName("FK__SNCImagen__SNCId__6A50C1DA");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNClaboratorioSNC", b =>
                {
                    b.HasOne("HistorialClinico.Domain.LaboratorioSNC", "LaboratorioSNC")
                        .WithMany("SNClaboratorioSNC")
                        .HasForeignKey("LaboratorioSNCid")
                        .HasConstraintName("FK__SNCLabora__Labor__6D2D2E85");

                    b.HasOne("HistorialClinico.Domain.SNC", "SNC")
                        .WithMany("SNClaboratorioSNC")
                        .HasForeignKey("SNCid")
                        .HasConstraintName("FK__SNCLabora__SNCId__6E2152BE");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNCmedicacionSNC", b =>
                {
                    b.HasOne("HistorialClinico.Domain.MedicacionSNC", "MedicacionSNC")
                        .WithMany("SNCmedicacionSNC")
                        .HasForeignKey("MedicacionSNCid")
                        .HasConstraintName("FK__SNCMedica__Medic__70FDBF69");

                    b.HasOne("HistorialClinico.Domain.SNC", "SNC")
                        .WithMany("SNCmedicacionSNC")
                        .HasForeignKey("SNCid")
                        .HasConstraintName("FK__SNCMedica__SNCId__71F1E3A2");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNCmedicamentoSedacion", b =>
                {
                    b.HasOne("HistorialClinico.Domain.MedicamentoSedacion", "MedicamentoSedacion")
                        .WithMany("SNCmedicamentoSedacion")
                        .HasForeignKey("MedicamentoSedacionId")
                        .HasConstraintName("FK__SNCMedica__Medic__74CE504D");

                    b.HasOne("HistorialClinico.Domain.SNC", "SNC")
                        .WithMany("SNCmedicamentoSedacion")
                        .HasForeignKey("SNCid")
                        .HasConstraintName("FK__SNCMedica__SNCId__75C27486");
                });

            modelBuilder.Entity("HistorialClinico.Domain.SNCsxAbstinenciaSNC", b =>
                {
                    b.HasOne("HistorialClinico.Domain.SNC", "SNC")
                        .WithMany("SNCsxAbstinenciaSNC")
                        .HasForeignKey("SNCid")
                        .HasConstraintName("FK__SNCSxAbst__SNCId__789EE131");

                    b.HasOne("HistorialClinico.Domain.SxAbstinenciaSNC", "SxAbstinenciaSNC")
                        .WithMany("SNCsxAbstinenciaSNC")
                        .HasForeignKey("SxAbstinenciaSNCid")
                        .HasConstraintName("FK__SNCSxAbst__SxAbs__7993056A");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole")
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.HasOne("HistorialClinico.Domain.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.HasOne("HistorialClinico.Domain.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole")
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("HistorialClinico.Domain.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.HasOne("HistorialClinico.Domain.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
